"""Check difference between lists"""

inside = []
not_inside = []
not_outside = []

with open('inside.txt', 'r') as file:
    for line in file:
        inside.append(line.replace('\n', ''))

with open('outside.txt', 'r') as file:
    for line in file:
        line = line.replace('\n', '')
        if line in inside:
            not_outside.append(line)
        else:
            not_inside.append(line)

print("Not inside:")
for player in not_inside:
    print(player)

print("\nNot outside:")
for player in not_outside:
    print(player)
